.azteac-container {
  position: relative;
  display: inline-block;
}

/* الكلمة */
.azteac-text {
  font-size: 48px;
  font-weight: 900;
  letter-spacing: 10px;
  position: relative;
  z-index: 2;
}

input, textarea { font-size: 16px; }
html, body {

input,
textarea {
  font-size: 16px;
}}
html,
body {
  overflow-x: hidden;
  touch-action: manipulation;
}
.azteac-snake {
  position: absolute;
  top: -20px;   /* 👈 أهم تعديل */
  left: 0;
  width: 100%;
  height: 40px;
  z-index: 1;
}

/* الحركة */
.azteac-snake path {
  fill: none;
  stroke-width: 4;
  stroke-linecap: round;

  stroke-dasharray: 120 400;
  animation: snakeMove 3s linear infinite;
}

/* animation صح */
@keyframes snakeMove {
  from {
    stroke-dashoffset: 400;
  }
  to {
    stroke-dashoffset: 0;
  }
}

/* 🎨 الألوان */
.blue span { color:#0F52BA }
.blue path { stroke:#0F52BA }

.cyan span { color:#A6C5D7 }
.cyan path { stroke:#A6C5D7 }

.white span { color:#fff }
.white path { stroke:#fff }

.red span { color:#ff3b3b }
.red path { stroke:#ff3b3b }

/* spacing */
.multi-azteac {
  display: flex;
  flex-direction: column;
  gap: 25px;
  margin-top: 20px;
}

/* Parent */
.dropdown {
  position: relative;
}

/* Dropdown box */
.dropdown-menu {
  position: absolute;
  top: 100%;
  right: 0;

  background: rgba(2, 11, 26, 0.95);
  border: 1px solid rgba(15,82,186,0.2);
  border-radius: 12px;

  padding: 10px 0;
  min-width: 180px;

  list-style: none;

  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);

  transition: all 0.3s ease;
  z-index: 999;
}

/* Items */
.dropdown-menu li {
  padding: 10px 20px;
}

.dropdown-menu li a {
  color: #D6E6F3;
  font-size: 0.8rem;
  display: block;
}

/* Hover effect */
.dropdown-menu li:hover {
  background: rgba(15,82,186,0.2);
}

/* SHOW */
.dropdown:hover .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
